<?php
	/**
	* TemplatePlazza
	* TemplatePlazza.com 
	**/
	defined('_JEXEC') or die;
	jimport('joomla.filesystem.file');

	class TPshowcaseModelTag extends JModel{
		function __construct(){
			parent::__construct();
			$ids	= JRequest::getVar( 'bid', array(0), '', 'array' );
			$this->_setID( (int) $ids[0] );
		}
		
		function _setID( $id ){
			$this->_id		= $id;
			$this->_data	= null;
		}
		
		function getTag(){
			if(empty( $this->_tag )){
				$q	=	' SELECT * FROM #__tpshowcase_tag '.
						" WHERE id = ". $this->_id ;
				$this->_db->setQuery( $q );
				$this->_tag= $this->_db->loadObject();
			}
			return $this->_tag;
		}
		
		function store(){
			global $mainframe;
			$db		= &JFactory::getDBO();
			$row	=& $this->getTable();
			$data	= JRequest::get( 'post' );		
	
			// Bind the form fields to the table
			if (!$row->bind($data)) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
	
			// Make sure the record is valid
			if (!$row->check()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
			
			if($data['name'] != $data['nameori']){
				//check exist data
				$q		= "SELECT COUNT(id) AS total FROM #__tpshowcase_tag WHERE name=" . $db->Quote($data['name']);
				$db->setQuery($q);
				$check	= $db->loadResult();
				
				if(intval($check) > 0){
					$this->setError(JText::_('TP_SAVED_FAIL_EXIST_TAG'));
					return false;
				}
			}
			
			// Store the table to the database
			if (!$row->store()) {
				$this->setError( $row->getErrorMsg() );
				return false;
			}
	
			return true;
		}
		
		function delete(){
			$cids = JRequest::getVar( 'bid', array(0), 'post', 'array' );
			$row =& $this->getTable();
			if(count( $cids )){
				foreach($cids as $cid){
					if(!$row->delete( $cid )){
						$this->setError( $row->getErrorMsg() );
						return false;
					}
				}						
			}
			return true;
		}
	}

?>