<?php
	/**
	* TemplatePlazza
	* TemplatePlazza.com 
	**/
	defined('_JEXEC') or die('Restricted access');
	$db			= &JFactory::getDBO();
	$user		= &JFactory::getUser();
	$document	=& JFactory::getDocument();
	$pathway	= &$mainframe->getPathway();
	unset($pathway->_pathway);
	$pathway->addItem('Submit Showcase', '');
	
	if($this->params->get('usersubmit') == true || $user->id > 0){
		JHTML::_('behavior.formvalidation');
		$headtag	= "<script language='javascript' type='text/javascript'>
			window.addEvent('domready', function(){ document.showcaseForm.title.focus(); });
			<!--
				function setTags(status, value){
					f=document.showcaseForm;
					s=f.tags.value;
					if(status == true){
						f.tags.value = s + ',' + value;
					}else{
						f.tags.value = f.tags.value.replace(',' + value, '');
					}
				}
			// -->
		</script>";
		$mainframe->addCustomHeadTag($headtag);
?>
	<div class="tpshowcase_form">
		<?php echo ($this->params->get('show_page_title') == true) ? "<h3>" . $this->escape($this->params->get('page_title')) . "</h3>" : ""; ?>
		<form action="<?php echo $document->base; ?>" method="post" name="showcaseForm" id="showcaseForm" class="form-validate" enctype="multipart/form-data">
			<table width="100%" cellspacing="0" cellpadding="0" border="0" class="table_list">
				<tr>
					<td width="200"><label for="name"><?php echo JText::_( 'TP_FULL_NAME' ); ?></label></td>
					<td><input class="inputbox required" type="text" name="name" id="name" size="40" value="" /></td>
				</tr>
				
				<tr>
					<td><label for="email"><?php echo JText::_( 'TP_EMAIL' ); ?></label></td>
					<td><input class="inputbox required validate-email" type="text" name="email" id="email" size="40" value="" /></td>
				</tr>
				
				<tr>
					<td><label for="url"><?php echo JText::_( 'TP_URL' ); ?></label></td>
					<td><input class="inputbox required" type="text" name="url" id="url" size="40" value="" /> <?php echo JText::_('TP_PLEASE_USE_HTTP'); ?></td>
				</tr>
				
				<tr valign="top">
					<td><label for="title"><?php echo JText::_( 'TP_SHOWCASE_TITLE' ); ?></label></td>
					<td><input class="inputbox required" type="text" name="title" id="title" size="40" value="" /></td>
				</tr>
				
				<tr valign="top">
					<td><label for="desc"><?php echo JText::_( 'TP_SHOWCASE_DESC' ); ?></label></td>
					<td><textarea class="inputbox required" name="desc" id="desc" rows="5" cols="50"></textarea></td>
				</tr>
				
				<tr valign="top">
					<td><label for="thumb"><?php echo JText::_( 'TP_THUMB' ); ?></label></td>
					<td><input class="inputbox" type="file" name="thumb" id="thumb" value="" /><?php echo JText::_( 'TP_FILE_REQUIREMENT' ); ?></td>
				</td>
				
				<tr valign="top">
					<td><label for="screen"><?php echo JText::_( 'TP_SCREEN' ); ?></label></td>
					<td><input class="inputbox" type="file" name="screen" id="screen" value="" /><?php echo JText::_( 'TP_FILE_REQUIREMENT' ); ?></td>
				</td>
				
				<tr valign="top">
					<td><label><?php echo JText::_( 'TP_TAGS' ); ?></label></td>
					<td>
						<input type="hidden" id="tags" name="tags" value="" size="100" />
						<?php
							$q			= "SELECT * FROM #__tpshowcase_tag ORDER BY name ASC";
							$db->setQuery($q);
							$cats	= $db->loadObjectList();
							if($cats){
								$x	= 0;
								$y	= 1;
								$c	= 3;
								echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
								foreach($cats as $cat){
									if($y == 1){
										echo "<tr>";
									}
									echo "<td style='border: none; padding: 3px 0px;'>";
									echo "<input type=\"checkbox\" id=\"cat$x\" name=\"cat$x\" value=\"" . $cat->name . "\" onchange=\"setTags(this.checked, this.value);\" />";
									echo "&nbsp;&nbsp;&nbsp;<label for=\"cat$x\" style=\"font-weight: normal;\">" . $cat->name . "</label>";
									echo "</td>";
									
									if($y == $c){
										$y = 1;
										echo "</tr>";
									}else{
										$y++;
									}
									$x++;
								}
								echo '</table>';
							}
						?>
					</td>
				</td>
				<tr>
					<td>&nbsp;</td>
					<td><button class="button validate" type="submit"><?php echo JText::_("TP_SEND"); ?></button></td>
				</tr>
			</table>
			<input type="hidden" name="option" value="com_tpshowcase" />
			<input type="hidden" name="task" value="save_site" />
			<input type="hidden" name="username" value="<?php echo $this->user->username;?>" />
			<input type="hidden" name="id" value="<?php echo $this->user->id;?>" />
			<input type="hidden" name="gid" value="<?php echo $this->user->gid;?>" />
			<?php echo JHTML::_( 'form.token' ); ?>
		</form>
	</div>
<?php
	}else{
		$mainframe->redirect(JURI::root(), JText::_("TP_YOU_MUST_LOGIN_SUBMIT"));
	}
?>