<?php
	/**
	* TemplatePlazza
	* TemplatePlazza.com 
	**/
	defined('_JEXEC') or die;
	$db			= &JFactory::getDBO();
	$isNew		= ( $this->showcase->id < 1 );
	$text 		= $isNew ? JText::_( 'New' ) : JText::_( 'Edit' );
	echo "<h1>Showcase [$text]</h1>";
	
	$headtag	= "
		<script language='javascript' type='text/javascript'>
			window.addEvent('domready', function(){ document.adminForm.name.focus(); });
			<!--
				function setTags(status, value){
					f=document.adminForm;
					s=f.tags.value;
					if(status == true){
						f.tags.value = s + ',' + value;
					}else{
						f.tags.value = f.tags.value.replace(',' + value, '');
					}
				}
			// -->
		</script>";
	$mainframe->addCustomHeadTag($headtag);
?>
	<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton){
			var form = document.adminForm;
			if(pressbutton == 'cancel'){
				submitform( pressbutton );
				return;
			}
			
			if(form.name.value == ""){
				alert( "<?php echo JText::_( 'TP_ERROR_FULLNAME', true ); ?>" );
				form.name.focus();
			}else if(form.email.value == ""){
				alert( "<?php echo JText::_( 'TP_ERROR_EMAIL', true ); ?>" );
				form.email.focus();
			}else if(form.email.value != "" && (form.email.value.indexOf('.') == -1 || form.email.value.indexOf('@') == -1)){
				alert( "<?php echo JText::_( 'TP_ERROR_EMAIL_NOTVALID', true ); ?>" );
				form.email.focus();
			}else if(form.url.value == ""){
				alert( "<?php echo JText::_( 'TP_ERROR_WEBSITE', true ); ?>" );
				form.url.focus();
			}else if(form.title.value == ""){
				alert( "<?php echo JText::_( 'TP_ERROR_SHOWCASE_TITLE', true ); ?>" );
				form.title.focus();
			}else if(form.desc.value == ""){
				alert( "<?php echo JText::_( 'TP_ERROR_SHOWCASE_DESC', true ); ?>" );
				form.desc.focus();
			}else{
				submitform( pressbutton );
			}
		}
		//-->
	</script>
		
	<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
		<div class="col100">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'TP_DETAILS' ); ?></legend>
				<table class="admintable" cellspacing="1">
					<tr>
						<td width="150" class="key"><label for="name"><?php echo JText::_( 'TP_FULL_NAME' ); ?></label></td>
						<td><input class="inputbox" type="text" name="name" id="name" size="80" value="<?php echo $this->showcase->fullname; ?>" /></td>
					</tr>
					
					<tr>
						<td width="150" class="key"><label for="email"><?php echo JText::_( 'TP_EMAIL' ); ?></label></td>
						<td><input class="inputbox" type="text" name="email" id="email" size="80" value="<?php echo $this->showcase->email; ?>" /></td>
					</tr>
					
					<tr>
						<td width="150" class="key"><label for="url"><?php echo JText::_( 'TP_URL' ); ?></label></td>
						<td><input class="inputbox" type="text" name="url" id="url" size="80" value="<?php echo $this->showcase->url; ?>" /> <?php echo JText::_('TP_PLEASE_USE_HTTP'); ?></td>
					</tr>
					
					<tr valign="top">
						<td width="150" class="key"><label for="title"><?php echo JText::_( 'TP_SHOWCASE_TITLE' ); ?></label></td>
						<td><input class="inputbox" type="text" name="title" id="title" size="80" value="<?php echo $this->showcase->title; ?>" /></td>
					</tr>
					
					<tr valign="top">
						<td width="150" class="key"><label for="desc"><?php echo JText::_( 'TP_SHOWCASE_DESC' ); ?></label></td>
						<td><textarea class="inputbox" name="desc" id="desc" rows="5" cols="50"><?php echo $this->showcase->description; ?></textarea></td>
					</tr>
					
					<tr valign="top">
						<td width="150" class="key"><label for="thumb"><?php echo JText::_( 'TP_THUMB' ); ?></label></td>
						<td>
							<input class="inputbox" type="file" name="thumb" id="thumb" size="80" value="" />
							<br /><br />
							<img src="<?php echo JURI::root() . $this->pathtosave . "/" . $this->showcase->filename_thumb; ?>" />
						</td>
					</td>
					
					<tr valign="top">
						<td width="150" class="key"><label for="screen"><?php echo JText::_( 'TP_SCREEN' ); ?></label></td>
						<td>
							<input class="inputbox" type="file" name="screen" id="screen" size="80" value="" />
							<br /><br />
							<img src="<?php echo JURI::root() . $this->pathtosave . "/" . $this->showcase->filename_screen; ?>" />
						</td>
					</td>
					
					<tr valign="top">
						<td width="150" class="key"><label><?php echo JText::_( 'TP_TAGS' ); ?></label></td>
						<td>
							<input type="hidden" id="tags" name="tags" value="<?php echo $this->showcase->tag; ?>" size="100" />
							<?php
								$def_tag	= substr($this->showcase->tag,1);
								$def_tag	= explode(",",$def_tag);
								$q			= "SELECT * FROM #__tpshowcase_tag ORDER BY name ASC";
								$db->setQuery($q);
								$cats	= $db->loadObjectList();
								if($cats){
									$x	= 0;
									$y	= 1;
									$c	= 3;
									echo '<table width="100%" border="0" cellspacing="0" cellpadding="0">';
									foreach($cats as $cat){
										if($y == 1){
											echo "<tr>";
										}
										echo "<td style='border: none; padding: 3px 0px;'>";
										if(in_array($cat->name, $def_tag)){
											echo "<input type=\"checkbox\" id=\"cat$x\" name=\"cat$x\" value=\"" . $cat->name . "\" onchange=\"setTags(this.checked, this.value);\" checked=\"checked\" />";
										}else{
											echo "<input type=\"checkbox\" id=\"cat$x\" name=\"cat$x\" value=\"" . $cat->name . "\" onchange=\"setTags(this.checked, this.value);\" />";
										}
										echo "&nbsp;&nbsp;&nbsp;<label for=\"cat$x\" style=\"font-weight: normal;\">" . $cat->name . "</label>";
										echo "</td>";
										
										if($y == $c){
											$y = 1;
											echo "</tr>";
										}else{
											$y++;
										}
										$x++;
									}
									echo '</table>';
								}
							?>
						</td>
					</td>
					
					<tr valign="top">
						<td width="150" class="key"><label><?php echo JText::_( 'TP_STATUS' ); ?></label></td>
						<td>
							<?php
								if($this->showcase->status == 1){
									$st0 = "";
									$st1 = "checked=\"checked\"";
								}else if($this->showcase->status == 0){
									$st0 = "checked=\"checked\"";
									$st1 = "";
								}else{
									$st0 = "";
									$st1 = "checked=\"checked\"";
								}
							?>
							<input type="radio" name="status" id="status0" value="0" <?php echo $st0; ?> /><label for="status0">Unpublished</label>
							<input type="radio" name="status" id="status1" value="1" <?php echo $st1; ?> /><label for="status1">Published</label>
						</td>
					</td>
					
					<tr valign="top">
						<td width="150" class="key"><label for="screen"><?php echo JText::_( 'TP_CREATED_DATE' ); ?></label></td>
						<td><?php echo $this->showcase->date; ?></td>
					</td>
					
				</table>
			</fieldset>
		</div>
		<input type="hidden" name="option" value="com_tpshowcase"/>
		<input type="hidden" name="id" value="<?php echo $this->showcase->id; ?>"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="type" value="showcase"/>
	</form>